MONGOC_COLLECTION_DESTROY(3)

NAME
mongoc_collection_destroy - mongoc_collection_destroy()

SYNOPSIS

        void
        mongoc_collection_destroy (mongoc_collection_t *collection);

PARAMETERS

    •   collection: A mongoc_collection_t.

DESCRIPTION

This function shall destroy a mongoc_collection_t and its associated resources. Does nothing if collection is NULL.

WARNING:
        Always destroy a mongoc_cursor_t created from a collection before destroying the collection.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc